Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode`, `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getProcessInstanceId()` | `optional int64 process_instance_id = 1;`
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 2;`
    `boolean` | `hasProcessInstanceId()` | `optional int64 process_instance_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasProcessInstanceId

          boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 1;`

    - #### getProcessInstanceId

          long getProcessInstanceId()

      `optional int64 process_instance_id = 1;`

    - #### getTimerInstanceIdList

          List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`

    - #### getTimerInstanceIdCount

          int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`

    - #### getTimerInstanceId

          long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 2;`